Page MenuHomePhabricator

[XRay] ARM 32-bit no-Thumb support in Clang
ClosedPublic

Authored by rSerge on Aug 26 2016, 10:06 AM.

Details

Summary

Just a test for now, adapted from x86_64 tests of XRay.
This is one of 3 commits to different repositories of XRay ARM port. The other 2 are:

  1. https://reviews.llvm.org/D23931 (LLVM)
  2. https://reviews.llvm.org/D23933 (compiler-rt)

Diff Detail

Repository
rL LLVM

Event Timeline

rSerge updated this revision to Diff 69391.Aug 26 2016, 10:06 AM
rSerge retitled this revision from to [XRay] ARM 32-bit no-Thumb support in Clang.
rSerge updated this object.
rSerge added reviewers: dberris, rengolin.
rSerge added a subscriber: cfe-commits.
rSerge updated this object.Aug 26 2016, 10:23 AM
rengolin accepted this revision.Aug 26 2016, 11:16 AM
rengolin edited edge metadata.

If this works without the other two patches, it's reasonably unrelated and harmless, and should be ok as soon as the other two patches are approved.

Not because it's wrong, just because we don't want to advertise features in Clang that yet don't exist in LLVM. :)

This revision is now accepted and ready to land.Aug 26 2016, 11:16 AM
dberris accepted this revision.Aug 28 2016, 5:55 PM
dberris edited edge metadata.

Concur 100% with @rengolin here -- please land after the LLVM changes land. :)

I don't have commit access rights. Could someone commit?

Landing this one now.

dberris closed this revision.Sep 7 2016, 5:34 PM

This has been landed as rL280889.

dberris reopened this revision.Sep 8 2016, 9:29 PM

Reverted in rL280968 -- we should resolve D23931 before attempting to land again.

This revision is now accepted and ready to land.Sep 8 2016, 9:29 PM
dberris requested changes to this revision.Sep 8 2016, 9:30 PM
dberris edited edge metadata.

See comments in D23931 for more details.

This revision now requires changes to proceed.Sep 8 2016, 9:30 PM
rSerge updated this revision to Diff 71629.Sep 16 2016, 6:24 AM
rSerge edited edge metadata.
rSerge updated this revision to Diff 71635.Sep 16 2016, 6:47 AM
rSerge edited edge metadata.

Fixed patch file format.

dberris accepted this revision.Sep 18 2016, 5:41 PM
dberris edited edge metadata.
This revision is now accepted and ready to land.Sep 18 2016, 5:41 PM
This revision was automatically updated to reflect the committed changes.